petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscStrreplace

Replaces substrings in string with other substrings

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscStrreplace(MPI_Comm comm,const char aa[],char b[],size_t len)

Not Collective Many br

### Input Parameters

| comm | - MPI_Comm of processors that are processing the string Many br
| aa | - the string to look in Many br
| b | - the resulting copy of a with replaced strings (b can be the same as a) Many br
| len | - the length of b Many br

### Notes

Replaces ${PETSC_ARCH},${PETSC_DIR},${PETSC_LIB_DIR},${DISPLAY}, Many br${HOMEDIRECTORY},${WORKINGDIRECTORY},${USERNAME}, ${HOSTNAME} with appropriate values Many bras well as any environmental variables. Many br

PETSC_LIB_DIR uses the environmental variable if it exists. PETSC_ARCH and PETSC_DIR use what Many brPETSc was built with and do not use environmental variables. Many br

Not for use in Fortran Many br

Many br

Level:intermediate
Location:src/sys/utils/str.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages